Subject: [Simple] Queries in regards to msrp 200 ok

From: prasun bheri <[email-masked]>
Date: Tue, 7 Feb 2012 13:09:46 +0530

Hi,

Is it required to include Message-id header in '200 ok'?. RFC 4975 examples
doesn't contain this header in '200 ok', however RFC 4976 clearly included
Message-ID in '200 ok' message.

Is it required to send '200 ok' in response to an msrp report?

Thanks & Regards
Prasun

---

From: Ben Campbell <[email-masked]>
Date: Thu, 9 Feb 2012 16:43:08 -0600

On Feb 7, 2012, at 1:39 AM, prasun bheri wrote:

> Hi,
> 
> Is it required to include Message-id header in '200 ok'?. RFC 4975 examples doesn't contain this header in '200 ok', however RFC 4976 clearly included Message-ID in '200 ok' message.
> 

That depends on whether it is sent in a "response" vs a "report". A "response" is in response to a particular request. (e.g. a SEND request.). You don't need the Message-ID, but it's not forbidden. OTOH, if it is sent in a report, Message-ID is required, since a success report may refer to all or part of the full message content.

> Is it required to send '200 ok' in response to an msrp report?

No. In fact, it's forbidden in the 2nd to last paragraph of section 7.1.1.

> 
> Thanks & Regards
> Prasun
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple